Subject: Re: BUG: 2.11-era rebase regression when @{upstream} is implicitly used

From: Jeff King <[email-masked]>
Date: Thu, 21 Feb 2019 09:10:42 -0500

On Thu, Feb 14, 2019 at 02:23:04PM +0100, Ævar Arnfjörð Bjarmason wrote:

> This is not a 2.21 release issue, and pre-dates the built-in rebase.
> 
> When you clone any repository, e.g. git.git, and add one commit on top
> of the cloned branch, then run "git rebase" you'll get e.g.:
> 
>     $ git rebase
>     First, rewinding head to replay your work on top of it...
>     Applying: foo
> 
> Before 4f21454b55 ("merge-base: handle --fork-point without reflog",
> 2016-10-12) you'd get:
> 
>     $ git rebase
>     Current branch master is up to date.

I'm not entirely sure this is a regression, and not the patch bringing
the behavior into line with what would happen when you _do_ have a
reflog.

> The results are not the same for "git rebase @{u}" or "git rebase $(git
> rev-parse @{u})":

Those aren't using "--fork-point", so they're going to behave
differently. The default with no arguments is basically "--fork-point
@{u}".

-Peff